# Markets

Markets represent the betting options available per Bookmaker.

The **Markets** endpoint will help you to set up the Odds properly at your website/application. This endpoint is very useful for administrative purposes to check and structure the Markets availability.

Markets data can be requested by ID, by search or all in one response.

* **GET All Markets:** returns all markets that are available.
* **GET Market by ID:** returns a market from your requested market ID.
* **GET Search by Name:** search a market by a specific name.&#x20;

#### Include options

Not applicable.

#### Related entities

[Odds](https://docs.sportmonks.com/v3/endpoints-and-entities/entities/odd-and-prediction)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/endpoints-and-entities/endpoints/markets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
